/** @format */

module.exports = {
  parser: '@typescript-eslint/parser', //定义ESLint的解析器
  extends: [
    'plugin:prettier/recommended', // 使用prettier中的样式规范，且如果使得ESLint会检测prettier的格式问题，同样将格式问题以error的形式抛出
  ],
  parserOptions: {ecmaVersion: 2019, sourceType: 'module'},
  env: {
    //指定代码的运行环境
    browser: true,
    node: true,
  },
}
