#!/bin/bash

source /etc/profile
nvm use 16

cp ./configs/.env.production ./.env.production
yarn install --prefer-offline --loglevel info --unsafe-perm=true --allow-root >> boundle.log
yarn build >> boundle.log

tar -zcvf task-svr.tar.gz ./

mkdir target && mv ./task-svr.tar.gz ./target/task-svr.tar.gz
echo 'all done' 2>&1 >> boundle.log
