export const ZERO_ADDRESS = '0x0000000000000000000000000000000000000000'

export const ZERO_BYTES32 = '0x0000000000000000000000000000000000000000000000000000000000000000'

export const MAX_BATCH_REQ_COUNT = 50

export const EMPTY_REWARD = 'empty'
export const ITEM_FRAME = 'flame'

export const CONFIRM_MAIL_HTML = `
<h1>有东西需要你确认<h1>
<p>{{title}}</p>
<p>{{desc}}</p>
<p>点击链接进入确认页面, 如果无法跳转, 就复制链接, 电脑上直接用浏览器打开, 手机上使用MetaMask的浏览器打开</p>
<p><a href="{{link}}" target="_blank">{{link2}}</a></p>
`

const cfg = require('../../configs/constants.json')
// 是否需要手动开启游戏
export const MANUAL_OPEN_GAME = false

// 每一步能获得的最小分数
export const STEP_SCORE_MIN = cfg.STEP_SCORE_MIN || 40
// 每一步能获得的最大分数
export const STEP_SCORE_MAX = cfg.STEP_SCORE_MAX || 50
// 每一步能获得的宝箱的概率
export const STEP_CHEST_RATE = cfg.STEP_CHEST_RATE || 1
// 邀请用户得到额外分数
export const INVITE_REBATE = cfg.INVITE_REBATE || 0.1

// 基础用户每日可助力次数
export const MAX_ENHANCE_COUNT_BASE = cfg.MAX_ENHANCE_COUNT_BASE || 1
// 高级用户每日可助力次数
export const MAX_ENHANCE_COUNT_ADV = cfg.MAX_ENHANCE_COUNT_ADV || 10
// 宝箱助力增加的分数
export const ENHANCE_CHEST_GIFT = cfg.ENHANCE_CHEST_GIFT || 10
// 完成所有基础任务额外奖励的ticket
export const BASE_TASK_TICKET = cfg.BASE_TASK_TICKET || 3

// 低保步数
export const RESET_STEP = 2
// 向上追溯的默认层级
export const INVITE_REBATE_LEVEL = 1

// 积分类型-邀请用户
export const SCORE_INVITE_USER = 'invite_user'
// 积分类型-接受邀请
export const SCORE_INVITE_INVITEE = 'invite_invitee'
// 积分类型-开宝箱
export const SCORE_OPEN_CHEST = 'open_chest'
// 积分类型-抽奖
export const SCORE_DRAW = 'draw'
// 积分类型-探索
export const SCORE_GAME_STEP = 'game_step'
// 积分类型-社交任务
export const SCORE_SOCIAL_TASK = 'Social Tasks'
// 积分类型-邀请用户额外收益
export const SCORE_INVITE_REBATE = 'invite_rebate'
// 积分类型-宝箱助力
export const SCORE_ENHANCE_CHEST_GIFT = 'enhance_chest_gift'

// google reCaptcha最小分数
export const RECAPTCHA_MIN_SCORE = 0.5
// 排行榜分数缩放系数
export const RANK_SCORE_SCALE = 100

export const BASE52_ALPHABET = '3fBCM8j17XNA9xYun4wmLWep2oHFlhPcgyEJskqOz6GK0UtV5ZRaDSvrTbidQI'

// 检查role时默认的工会id
export const DEFAULT_GUILD = '930002266868555827'
