import { LoggerQueue } from 'queue/logger.queue'

const level = process.env.NODE_ENV === 'production' ? 'info' : 'log'
const logger = require('tracer').colorConsole({ dateformat: 'yyyy-mm-dd HH:MM:ss.L', level })
logger.db = function (name: string, req: any, logObj?: any) {
  logObj = logObj || {}
  new LoggerQueue().addLog(name, req, logObj)
}
export default logger
