module.exports =  {
  "printWidth": 120,
  "semi": false,                // 在语句末尾添加分号
  "singleQuote": true,          // 使用单引号而非双引号
  "trailingComma": "all",       // 在任何可能的多行中输入尾逗号
  "bracketSpacing": true,       // 在对象字面量声明所使用的的花括号前后（{})输出空格
  "jsxBracketSameLine": true,   // 在多行JSX元素最后一行的末尾添加 > 而使 > 单独一行（不适用于自闭和元素）
  "arrowParens": "avoid",       // 为单行箭头函数的参数添加圆括号。
  "requirePragma": false,       // Prettier可以严格按照按照文件顶部的一些特殊的注释格式化代码
  "insertPragma": false,        // 顶部插入一个 @format
  "tabWidth": 2,
  "useTabs": false,
};
